c---------------------------------------------------------------------
      SUBROUTINE LGSBSL
c      programmed by m.i.  version  7/12/1987
c      table of legendre-gaus mesh points and weights and
c               bessel functions at the mesh points
C      output: fkdmsh, fkdwgt, bsl
c----------------------------------------------------------------------
      include 'dimn.fh'
      include 'fund1.fh'
      include 'fund2.fh'
      include 'lgbs.fh'
      include 'base.fh'
      dimension bs(100),xg(nrdm),wg(nrdm)
      data lmax30/30/
c
c   LEGENDRE-GAUSS MESH POINTS AND WEIGHT
C
        tgdmx=tkdmx/3.0
        ngmax=nkmax/3
        if(ngmax.gt.110) ngmax=110
        nkmax=3*ngmax
C----------------------------------------------------------------------
      CALL LGAUSS(xg,wg,ngmax)
C       in : ngmax
C       out: xg, wg
C----------------------------------------------------------------------
      tgdmx2=2.0*tgdmx
      tk4=0.5*tgdmx
      do 20 n=1,ngmax
        n2=n+ngmax
        n3=n2+ngmax
        t1=tk4*(xg(n)+1.0)
        tt=tk4*wg(n)
        fkdmsh(n)=t1
        fkdmsh(n2)=t1+tgdmx
        fkdmsh(n3)=t1+tgdmx2
        fkdwgt(n)=tt
        fkdwgt(n2)=tt
        fkdwgt(n3)=tt
   20 continue
c
C   TABLE OF SHPERICAL BESSEL FUNCTION
      mxltr=itrjmx+3
      rtmp=0.0
      do 40 nr=1,nsrmax
        rtmp=rtmp+dsr
        do 35 k=1,nkmax
          hx=fkdmsh(k)*rtmp
C----------------------------------------------------------------------
          CALL SBESSL(hx,bs,lmax30)
C----------------------------------------------------------------------
          do 30 kltr=1,mxltr
            bsl(k,nr,kltr)=bs(kltr)
   30     continue
   35   continue
   40 continue
C
      return
      end
